import * as THREE from 'three';
import { Geometry, LineSegments } from 'three';
export declare class Arc2d {
    m_StartAn: number;
    m_EndAn: number;
    m_StartPoint: THREE.Vector2;
    m_EndPoint: THREE.Vector2;
    m_Center: THREE.Vector2;
    m_Radius: number;
    constructor(p1: THREE.Vector2, p2: THREE.Vector2, bul: number);
}
export declare function createPath(pts: THREE.Vector2[], buls: number[], shapeOut?: THREE.Shape): THREE.Shape;
export declare function getVec(data: object): THREE.Vector3;
export declare function createBoard(boardData: object): {
    mesh: THREE.Mesh;
    edges: THREE.LineSegments[];
};
export declare function createTemplateBoard(brDataList: any[]): {
    meshs: any[];
    edgesa: any[];
};
export declare function createEdge(geo: Geometry): LineSegments;
